### Method

# Gcr SecretExchange receive

#### Declaration [src]

    gboolean
    gcr_secret_exchange_receive (
      GcrSecretExchange* self,
      const gchar* exchange
    )

#### Description [src]

Receive a string from the other side of secret exchange. This string will have been created by `gcr_secret_exchange_begin()` or `gcr_secret_exchange_send()`.

After this call completes successfully the value returned from `gcr_secret_exchange_get_secret()` will have changed.

#### Parameters

`exchange`

  Type: `const gchar*`

  The string received.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gboolean`

Whether the string was successfully parsed and received.